Nini Library API Reference - http://nini.sourceforge.net/ |

# OrderedList Members

OrderedList overview

#### Public Instance Constructors

OrderedList Constructor | Initializes a new instance of the OrderedList class.

#### Public Instance Properties

Count | Returns the number of objects in the collection.
IsFixedSize | Returns true if the collection is of a fixed size. This value is always false.
IsReadOnly | Returns true if the list is read only. Always returns false.
IsSynchronized | Returns true if the collection is synchronized. This value is always false.
Item | Overloaded. Returns the object at the given index.
Keys | Returns a list of the collection keys.
SyncRoot | Returns the synchronized object.
Values | Returns a list of the collection values.

#### Public Instance Methods

Add | Adds a new obctje to the collection.
Clear | Clears all object from the collection.
Contains | Returns true if the key exists in the collection.
CopyTo | Overloaded. Copies the collection to an array.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator | Returns the enumerator object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Insert | Inserts an object into the collection based on an index.
Remove | Removes an item from the collection by key name.
RemoveAt | Removes a key at the given index.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

OrderedList Class | Nini.Util Namespace